com.rscja.deviceapi.interfaces

## Interface IInfrared

- All Known Implementing Classes:
    Infrared, Infrared_mtk

      public interface IInfrared

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close()` 关闭红外模块 Switch off infared module
    `void` | `closeLED()` 关闭辅助灯 Close LED
    `java.lang.String` | `getIDAndPowerWithWattmeter()` 获取电表ID和电能值,97标准 Acquire powermeter ID and energy value, 97 standard
    `java.lang.String` | `getIDAndPowerWithWattmeter(int protocol)` 获取电表ID和电能值 Acquire powermeter ID and energy value
    `boolean` | `isPowerOn()`
    `boolean` | `open()` 打开红外模块,默认1200波特率 Switch on infared module, default 1200 baud rate
    `boolean` | `open(int baudrate)` 打开红外模块 Switch on infared module
    `boolean` | `open(int baudrate, int check)` 打开红外模块 Switch on infared module
    `boolean` | `open(int baudrate, int dataBits, int stopBits, int check)` 打开红外模块 Switch on infared module
    `void` | `openLED()` 打开辅助灯 Open LED
    `byte[]` | `receive()` 接收数据 Receive data
    `boolean` | `send(byte[] data)` 发送数据 send Data
    `boolean` | `switchBaudrate(int baudrate, int dataBits, int stopBits, int check)` 切换波特率

- - ### Method Detail

    - #### open

          boolean open()

      打开红外模块,默认1200波特率
      Switch on infared module, default 1200 baud rate
      Returns:
        true成功，false失败

    - #### open

          boolean open(int baudrate)

      打开红外模块
      Switch on infared module
      Parameters:
        `baudrate` - 波特率，如：1200、4800、2400
        baud rate, e.g.: 1200, 4800, 2400
      Returns:
        true成功，false失败

    - #### open

          boolean open(int baudrate,
                       int check)

      打开红外模块
      Switch on infared module
      Parameters:
        `baudrate` - 波特率，如：1200、4800、2400
        baud rate, e.g.: 1200, 4800, 2400
        `check` - 0,不校验;1,奇校验;2,偶校验
        0, no verification;1, odd verification, even verification
      Returns:
        true成功，false失败

    - #### open

          boolean open(int baudrate,
                       int dataBits,
                       int stopBits,
                       int check)

      打开红外模块
      Switch on infared module
      Parameters:
        `baudrate` - 波特率，如：1200、4800、2400
        baud rate, e.g.: 1200, 4800, 2400
        `dataBits` - 数据位 取值为 7 或者8
        `stopBits` - 停止位 取值为 1 或者2
        `check` - 校验位 0,不校验;1,奇校验;2,偶校验
        0, no verification;1, odd verification, even verification
      Returns:
        true成功，false失败

    - #### switchBaudrate

          boolean switchBaudrate(int baudrate,
                                 int dataBits,
                                 int stopBits,
                                 int check)

      切换波特率
      Parameters:
        `baudrate` - 波特率
        `dataBits` - 数据位
        `stopBits` - 停止位
        `check` - 校验位
      Returns:
        true成功，false失败

    - #### close

          boolean close()

      关闭红外模块
      Switch off infared module
      Returns:
        true成功，false失败

    - #### send

          boolean send(byte[] data)

      发送数据
      send Data
      Parameters:
        `data` - 数据
        Data
      Returns:
        true成功，false失败

    - #### receive

          byte[] receive()

      接收数据
      Receive data
      Returns:
        数据
        data

    - #### getIDAndPowerWithWattmeter

          java.lang.String getIDAndPowerWithWattmeter()

      获取电表ID和电能值,97标准
      Acquire powermeter ID and energy value, 97 standard
      Returns:
        电表ID和电能值以“:”分割，返回null表示失败
        powermeter ID and energy value should be divided by ':', return null means failure

    - #### getIDAndPowerWithWattmeter

          java.lang.String getIDAndPowerWithWattmeter(int protocol)

      获取电表ID和电能值
      Acquire powermeter ID and energy value
      Parameters:
        `protocol` - 97,DL/T 645—1997标准;07,DL/T 645—2007标准
        `protocol` - 97, DL/T 645-1997 standard;07,DL/T 645-2007 standard
      Returns:

    - #### openLED

          void openLED()

      打开辅助灯
      Open LED

    - #### closeLED

          void closeLED()

      关闭辅助灯
      Close LED

    - #### isPowerOn

          boolean isPowerOn()